package com.ruoyi.model.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.model.domain.AppletOutDate;
import org.apache.ibatis.annotations.Delete;

/**
 * 不接单日期Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface AppletOutDateMapper extends BaseMapper<AppletOutDate>
{
    /**
     * 查询不接单日期
     * 
     * @param id 不接单日期主键
     * @return 不接单日期
     */
    public AppletOutDate selectAppletOutDateById(Long id);

    /**
     * 查询不接单日期列表
     * 
     * @param appletOutDate 不接单日期
     * @return 不接单日期集合
     */
    public List<AppletOutDate> selectAppletOutDateList(AppletOutDate appletOutDate);

    /**
     * 新增不接单日期
     * 
     * @param appletOutDate 不接单日期
     * @return 结果
     */
    public int insertAppletOutDate(AppletOutDate appletOutDate);

    /**
     * 修改不接单日期
     * 
     * @param appletOutDate 不接单日期
     * @return 结果
     */
    public int updateAppletOutDate(AppletOutDate appletOutDate);

    /**
     * 删除不接单日期
     * 
     * @param id 不接单日期主键
     * @return 结果
     */
    public int deleteAppletOutDateById(Long id);

    /**
     * 批量删除不接单日期
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppletOutDateByIds(Long[] ids);

    @Delete("delete from applet_out_date where address_id=#{addressId}")
    public int deleteAppletOutDateByIdList(Long addressId);
}
